## calligra 2.5.0

=== debian/changelog ===
calligra (1:2.5.0-0ubuntu1) quantal; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 08 Aug 2012 11:05:31 +0100

=== debian/control ===
Source: calligra
Section: kde
# single application should be placed in more proper sections.
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Adrien Grellier <adrien.grellier@laposte.net>,
 Raúl Sánchez Siles <rasasi78@gmail.com>
Build-Depends: debhelper (>= 9), cmake (>= 2.6.2), pkg-kde-tools (>= 0.9),
 kdelibs5-dev (>= 4:4.4.0),
 kdepimlibs5-dev (>= 4:4.4.3),
 freetds-dev,
 libattica-dev,
 libboost-dev,
# libdcmtk2-dev, universe
 libeigen2-dev (>= 2.0~beta6),
 libexiv2-dev,
 libfftw3-dev,
 libfontconfig1-dev,
 libgif-dev,
 libglew-dev [!armel !armhf],
 libgsf-1-dev,
 libgsl0-dev,
 libicu-dev,
 libjpeg-dev,
 libkdcraw-dev (>= 4:4.4.3),
 liblcms2-dev,
 libmarble-dev,
 libmysqlclient-dev,
 libopenexr-dev,
# libopenjpeg-dev, universe
 libpng-dev,
 libpoppler-private-dev,
 libpoppler-qt4-dev,
 libpq-dev,
 libpqxx3-dev,
 libqca2-dev,
 libqt4-dev,
 libqt4-opengl-dev,
 libqtgtl-dev,
 libqtwebkit-dev,
 libspnav-dev,
 libsqlite3-dev,
 libtiff-dev,
 libxbase2.0-dev,
 libxslt1-dev,
 libwpd-dev (>= 0.9.1),
 libwpg-dev (>= 0.2.0),
 libwps-dev,
 okular-dev (>= 4:4.4.3),
 pstoedit,
 shared-desktop-ontologies,
 shared-mime-info,
 zlib1g-dev
Standards-Version: 3.9.3
Homepage: http://www.calligra-suite.org/
Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/calligra
Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/calligra
X-Debian-Vcs-Git: git://git.debian.org/pkg-kde/kde-std/calligra.git
X-Debian-Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-std/calligra.git

Package: calligra
Architecture: all
Section: kde
Replaces: koffice
Conflicts: koffice
Depends: ${misc:Depends},
 braindump (>= ${source:Version}),
 calligraflow (>= ${source:Version}),
 calligraplan (>= ${source:Version}),
 calligrasheets (>= ${source:Version}),
 calligrastage (>= ${source:Version}),
 calligrawords (>= ${source:Version}),
 karbon (>= ${source:Version}),
 kexi (>= ${source:Version}),
 krita (>= ${source:Version})
Recommends: create-resources
Homepage: http://www.calligra-suite.org
Description: extensive productivity and creative suite
 Calligra Suite is a set of applications written to help you to accomplish
 your work. It includes office applications such as a word processor,
 a spreadsheet, a presentation program, a database application, etc, and
 raster and vectorial graphics tools.
 .
 This metapackage provides all the components of the Calligra Suite.

Package: karbon
Architecture: any
Section: graphics
Depends: ${misc:Depends}, ${shlibs:Depends}, calligra-libs (= ${binary:Version})
Recommends: pstoedit
Homepage: http://www.calligra-suite.org/karbon/
Description: vector graphics application for the Calligra Suite
 Karbon is a vector drawing application with an user interface that is easy to
 use, highly customizable and extensible. That makes Karbon a great application
 for users starting to explore the world of vector graphics as well as for
 artists wanting to create breathtaking vector art. Features include:
  .
  * Loading support for ODG, SVG, WPG, WMF, EPS/PS
  * Writing support for ODG, SVG, PNG, PDF, WMF
  * Customizable user interface with freely placable toolbars and dockers
  * Layer docker for easy handling of complex documents including preview
    thumbnails, support for grouping shapes via drag and drop,
    controlling visibility of shapes or locking
  * Advanced path editing tool with great on-canvas editing capabilies
  * Various drawing tools for creating path shapes including a draw path
    tool, a pencil tool as well as a calligraphy drawing tool
  * Gradient and pattern tools for easy on-canvas editing of gradient and
    pattern styles
  * Top notch snapping facilities for guided drawing and editing (e.g.
    snapping to grid, guide lines, path nodes, bounding boxes, orthogonal
    positions, intersections of path shapes or extensions of lines and
    paths)
  * Includes many predefined shapes including basic shapes like stars,
    circle/ellipse, rectangle, image
  * Artistic text shape with support for following path outlines
    (i.e. text on path)
  * Complex path operations and effects like boolean set operations,
    path flattening, rounding and refining as well as whirl/pinch effects
  * Extensible by writing plugins for new tools, shapes and dockers
 .
 This package is part of the Calligra Suite.

Package: kexi
Architecture: any
Section: database
Depends: ${misc:Depends}, ${shlibs:Depends}, calligra-libs (= ${binary:Version})
Suggests: kexi-calligrasheets-driver, kexi-mysql-driver, kexi-postgresql-driver, kexi-xbase-driver, kexi-sybase-driver
Replaces: koffice-doc-html
Conflicts: koffice-doc-html
Homepage: http://www.calligra-suite.org/kexi/
Description: integrated database environment for the Calligra Suite
 Kexi is an integrated data management application. It can be used for
 creating database schemas, inserting data, performing queries, and
 processing data. Forms can be created to provide a custom interface to
 your data. All database objects - tables, queries and forms - are stored
 in the database, making it easy to share data and design.
 .
 Kexi is considered as a long awaited Open Source competitor for MS Access,
 Filemaker and Oracle Forms. Its development is motivated by the lack of
 Rapid Application Development (RAD) tools for database systems that are
 sufficiently powerful, inexpensive, open standards driven and portable
 across many operating systems and hardware platforms.
 .
 This package is part of the Calligra Suite.

Package: kexi-calligrasheets-driver
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, kexi (= ${binary:Version}),
 calligrasheets (= ${binary:Version})
Description: Tables plugin for kexi
 Kexi is an integrated data management application. It can be used for
 creating database schemas, inserting data, performing queries, and
 processing data. Forms can be created to provide a custom interface to
 your data. All database objects - tables, queries and forms - are stored
 in the database, making it easy to share data and design.
 .
 This package provides support for Calligra Tables in Kexi.
 .
 This package is part of the Calligra Suite.

Package: kexi-mysql-driver
Architecture: any
Section: database
Depends: ${misc:Depends}, ${shlibs:Depends}, kexi (= ${binary:Version})
Breaks: kexi (<< 1:2.3.70)
Replaces: kexi (<< 1:2.3.70)
Description: MySQL support for kexi
 Kexi is an integrated data management application. It can be used for
 creating database schemas, inserting data, performing queries, and
 processing data. Forms can be created to provide a custom interface to
 your data. All database objects - tables, queries and forms - are stored
 in the database, making it easy to share data and design.
 .
 This package provides support for MySQL in Kexi.
 .
 This package is part of the Calligra Suite.

Package: kexi-postgresql-driver
Architecture: any
Section: database
Depends: ${misc:Depends}, ${shlibs:Depends}, kexi (= ${binary:Version})
Breaks: kexi (<< 1:2.3.70)
Replaces: kexi (<< 1:2.3.70)
Description: PostgreSQL support for kexi
 Kexi is an integrated data management application. It can be used for
 creating database schemas, inserting data, performing queries, and
 processing data. Forms can be created to provide a custom interface to
 your data. All database objects - tables, queries and forms - are stored
 in the database, making it easy to share data and design.
 .
 This package provides support for PostgreSQL in Kexi.
 .
 This package is part of the Calligra Suite.

Package: kexi-xbase-driver
Architecture: any
Section: database
Depends: ${misc:Depends}, ${shlibs:Depends}, kexi (= ${binary:Version})
Breaks: kexi (<< 1:2.3.70)
Replaces: kexi (<< 1:2.3.70)
Description: XBase support for kexi
 Kexi is an integrated data management application. It can be used for
 creating database schemas, inserting data, performing queries, and
 processing data. Forms can be created to provide a custom interface to
 your data. All database objects - tables, queries and forms - are stored
 in the database, making it easy to share data and design.
 .
 This package provides support for XBase in Kexi.
 .
 This package is part of the Calligra Suite.

Package: kexi-sybase-driver
Architecture: any
Section: database
Depends: ${misc:Depends}, ${shlibs:Depends}, kexi (= ${binary:Version})
Breaks: kexi (<< 1:2.3.70)
Replaces: kexi (<< 1:2.3.70)
Description: Sybase support for kexi
 Kexi is an integrated data management application. It can be used for
 creating database schemas, inserting data, performing queries, and
 processing data. Forms can be created to provide a custom interface to
 your data. All database objects - tables, queries and forms - are stored
 in the database, making it easy to share data and design.
 .
 This package provides support for Sybase in Kexi.
 .
 This package is part of the Calligra Suite.

Package: kexi-web-form-widget
Architecture: any
Section: database
Depends: ${misc:Depends}, ${shlibs:Depends}, kexi (>= ${source:Version})
Breaks: kexi (<< 1:2.3.70)
Replaces: kexi (<< 1:2.3.70)
Description: web form widget for Kexi
 Kexi is an integrated data management application. It can be used for
 creating database schemas, inserting data, performing queries, and
 processing data. Forms can be created to provide a custom interface to
 your data. All database objects - tables, queries and forms - are stored
 in the database, making it easy to share data and design.
 .
 This package provides a web widget for Kexi using QtWebKit.
 .
 This package is part of the Calligra Suite.

Package: kexi-map-form-widget
Architecture: any
Section: database
Depends: ${misc:Depends}, ${shlibs:Depends}, kexi (>= ${source:Version})
Breaks: kexi (<< 1:2.3.70)
Replaces: kexi (<< 1:2.3.70)
Description: map form widget for Kexi
 Kexi is an integrated data management application. It can be used for
 creating database schemas, inserting data, performing queries, and
 processing data. Forms can be created to provide a custom interface to
 your data. All database objects - tables, queries and forms - are stored
 in the database, making it easy to share data and design.
 .
 This package provides a map widget for Kexi using the Marble library.
 .
 This package is part of the Calligra Suite.

Package: calligra-reports-web-element
Architecture: any
Section: kde
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: web element for Calligra Reports
 Calligra Suite is a set of applications written to help you to accomplish
 your work. It includes office applications such as a word processor,
 a spreadsheet, a presentation program, a database application, etc, and
 raster and vectorial graphics tools.
 .
 This package provides a web element for Calligra Reports, based on QtWebKit.
 .
 This package is part of the Calligra Suite.

Package: calligra-reports-map-element
Architecture: any
Section: kde
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: map element for Calligra Reports
 Calligra Suite is a set of applications written to help you to accomplish
 your work. It includes office applications such as a word processor,
 a spreadsheet, a presentation program, a database application, etc, and
 raster and vectorial graphics tools.
 .
 This package provides a map element for Calligra Reports, based on the
 Marble library.
 .
 This package is part of the Calligra Suite.

Package: krita
Architecture: any
Section: graphics
Depends: ${misc:Depends}, ${shlibs:Depends}, krita-data (>= ${source:Version}), calligra-libs (= ${binary:Version})
Suggests: khelpcenter4
Homepage: http://www.calligra-suite.org/krita/
Description: pixel-based image manipulation program for the Calligra Suite
 Krita is a creative application for raster images. Whether you want to create
 from scratch or work with existing images, Krita is for you. You can work with

## calligra 2.5.1

=== kexi/kexidb/drivers/CMakeLists.txt ===

# drivers will be moved out of this dir in Predicate, and then area will be redefined
#remove_definitions(-DKDE_DEFAULT_DEBUG_AREA)
#add_definitions(-DKDE_DEFAULT_DEBUG_AREA=44001)
IF (SQLITE_FOUND)
  add_subdirectory( sqlite )
ENDIF (SQLITE_FOUND)

IF (MYSQL_FOUND)
   add_subdirectory( mySQL )
ENDIF (MYSQL_FOUND)

IF (POSTGRESQL_FOUND AND PQXX_FOUND AND PQXX_VERSION VERSION_GREATER PQXX_MIN_VERSION AND PQXX_VERSION VERSION_LESS PQXX_MAX_VERSION)
   add_subdirectory(pqxx)
ENDIF (POSTGRESQL_FOUND AND PQXX_FOUND AND PQXX_VERSION VERSION_GREATER PQXX_MIN_VERSION AND PQXX_VERSION VERSION_LESS PQXX_MAX_VERSION)

IF (FREETDS_FOUND)
   add_subdirectory(sybase)
ENDIF (FREETDS_FOUND)

IF(XBASE_FOUND)
   add_subdirectory(xbase)
ENDIF(XBASE_FOUND)

#message(STATUS "${CMAKE_CURRENT_SOURCE_DIR}: skipped subdir $(pgsql_dir)")
#message(STATUS "${CMAKE_CURRENT_SOURCE_DIR}: skipped subdir $(mysql_dir)")

=== debian/changelog ===
calligra (1:2.5.1-0ubuntu1) quantal; urgency=low

  * New upstream release
  * Add missing build-deps on libopenjpeg-dev, libvisio-dev, opengtl-dev
  * Add kubuntu_03_words_mimetype.diff LP: #998324

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 30 Aug 2012 11:48:44 +0100

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,6 @@
  freetds-dev,
  libattica-dev,
  libboost-dev,
-# libdcmtk2-dev, universe
  libeigen2-dev (>= 2.0~beta6),
  libexiv2-dev,
  libfftw3-dev,
@@ -28,7 +27,7 @@
  libmarble-dev,
  libmysqlclient-dev,
  libopenexr-dev,
-# libopenjpeg-dev, universe
+ libopenjpeg-dev,
  libpng-dev,
  libpoppler-private-dev,
  libpoppler-qt4-dev,
@@ -51,7 +50,9 @@
  pstoedit,
  shared-desktop-ontologies,
  shared-mime-info,
- zlib1g-dev
+ zlib1g-dev,
+ libvisio-dev,
+ opengtl-dev,
 Standards-Version: 3.9.3
 Homepage: http://www.calligra-suite.org/
 Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/calligra

## calligra 2.5.2

=== debian/changelog ===
calligra (1:2.5.2-0ubuntu1) quantal; urgency=low

  * New upstream bugfix release
  * Remove kubuntu_01_arm_fixes.diff now upstream

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 17 Sep 2012 14:19:19 +0100

calligra (1:2.5.1-0ubuntu2) quantal; urgency=low

  * No-change rebuild for libpoppler27 -> libpoppler28 transition.

 -- Robert Ancell <robert.ancell@canonical.com>  Wed, 12 Sep 2012 16:43:26 +1200
